#######################################################################
#
#  Copyright (C) 2004 Novell, Inc.
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public
#  License along with this program; if not, write to the Free
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  Author: Greg Richardson <grichardson@novell.com>
#
#######################################################################

SUBDIRS =

DIST_SUBDIRS =

EXTRA_DIST = server-java_msi.vdproj

if DEBUG
TARGET_CFG = Debug
else
TARGET_CFG = Release
endif

PACKAGE = server-java_msi
TARGET_FILE = CasaAuthTokenServer.msi
LOG_FILE = $(PACKAGE).log

.PHONY: package package-clean package-install package-uninstall devenv

package: $(TARGET_FILE)

devenv:
	@if ! test -x "$(VSINSTALLDIR)/Common7/IDE/devenv.exe"; then echo "Error: Microsoft Visual Studio .NET is currently required to build MSI and MSM packages"; exit 1; fi

$(TARGET_FILE): devenv
	@rm -f $(LOG_FILE) $@
	echo [======== Updating msi numbers========]	
	"../../../tools/w32/VersionVDProj/bin/VersionVDProj.exe" -msi server-java_msi.vdproj version=$(VERSION)
	@CMD='"$(VSINSTALLDIR)/Common7/IDE/devenv.exe" server-java_msi.sln /build $(TARGET_CFG) /project $(PACKAGE) /out $(LOG_FILE)'; \
	echo $$CMD; \
	if eval $$CMD; then \
		ls -l $(TARGET_CFG)/$(TARGET_FILE); \
	else \
		grep -a "ERROR:" $(LOG_FILE); \
	fi
	
package-clean clean-local:
	rm -rf  Release/* Release Debug/* Debug*/Release */Debug *.log *.suo

clean:
	rm -rf  Release/* Release Debug/* Debug */Release */Debug *.log *.suo

distclean-local: package-clean
	rm -f Makefile 

maintainer-clean-local:
	rm -f Makefile.in



